Subject: bug#39884: 27.0.50; Emacs may destroy outgoing email messages during sending

From: Noam Postavsky <[email-masked]>
Date: Wed, 15 Apr 2020 08:24:52 -0400

On Wed, 15 Apr 2020 at 03:55, Rainer Gemulla <[email-masked]> wrote:
>
> Replacing in function mml-parse-1 (mml.el, line 284):
>
> (setq tag (list 'part '(type . "text/plain"))
>        no-markup-p t
>        warn t)
>
> with
>
> (setq tag `(part (type . ,"text/plain"))
>       no-markup-p t
>       warn t)
>
> seems to fix this bug. It's not clear to me why though.

mml-parse-1 calls nconc on tag, so it's likely some destructive
modification of code literals is happening. However, I'm not able to
reproduce the bug following your instructions on the latest emacs-27
checkout. I'm attaching a lisp file which automates the process (I
also tried doing it manually, in case that makes a difference).